--- cmake/Modules/GrMiscUtils.cmake.orig	2014-07-28 15:14:06.000000000 -0400
+++ cmake/Modules/GrMiscUtils.cmake	2014-07-29 09:35:15.000000000 -0400
@@ -383,6 +383,13 @@
   endforeach(sig)
   unset(name)
 
+  #try to force generate the headers
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}.h.t ${ARGN}
+  )
+
   #create a command to generate the headers
   add_custom_command(
     OUTPUT ${expanded_files_h}
@@ -428,6 +435,13 @@
   endforeach(sig)
   unset(name)
 
+  #try to force generate the source files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}.cc.t ${ARGN}
+  )
+
   #create a command to generate the source files
   add_custom_command(
     OUTPUT ${expanded_files_cc}
@@ -437,6 +451,13 @@
     ${root} ${root}.cc.t ${ARGN}
   )
 
+  #try to force generate the header files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}.h.t ${ARGN}
+  )
+
   #create a command to generate the header files
   add_custom_command(
     OUTPUT ${expanded_files_h}
@@ -490,6 +511,13 @@
   endforeach(sig)
   unset(name)
 
+  #try to force generate the _impl.cc files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}_impl.cc.t ${ARGN}
+  )
+
   #create a command to generate the _impl.cc files
   add_custom_command(
     OUTPUT ${expanded_files_cc_impl}
@@ -499,6 +527,13 @@
     ${root} ${root}_impl.cc.t ${ARGN}
   )
 
+  #try to force generate the _impl.h files
+  execute_process(
+    COMMAND ${PYTHON_EXECUTABLE} ${PYTHON_DASH_B}
+    ${CMAKE_CURRENT_BINARY_DIR}/generate_helper.py
+    ${root} ${root}_impl.h.t ${ARGN}
+  )
+
   #create a command to generate the _impl.h files
   add_custom_command(
     OUTPUT ${expanded_files_h_impl}
